function path = cleanPath(path)
if ischar(path)
    if size(path,1)==1
        path = cleanIndividualPath(path);
    else
        for i=1:size(path,1)
            path(i,:) = cleanIndividualPath(path(i,:));
        end
    end
elseif iscell(path)
    for i=1:size(path,1)
        path{i}=cleanIndividualPath(path{i});
    end    
end

function path = cleanIndividualPath(path)
% replace back slashes with forward slashes, remove trailing slashes, etc.

if any(path == '\')
    %warning('runSegmentation:runSegmentation', 'inputDirectory contains back slashes. Replacing with forward slashes.');
    path(path=='\') = '/';
end
if path(end) ~= '/'
    %warning('runSegmentation:runSegmentation', 'adding trailing slash to input directory');
    path(end+1)='/';
end

